LinkedIn Accounts / REST API
Get linkedin profile
Look up a LinkedIn profile by URL.
POST /api/mcp/linkedin/profileDeterministic operationParameters
workspaceIdOptional · string- Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
profileUrlRequired · string- See the input schema for this field.
accountIdRequired · string- See the input schema for this field.
curl -X POST "https://app.pipeline.help/api/mcp/linkedin/profile" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"profileUrl":"https://example.com","accountId":"00000000-0000-4000-8000-000000000000"}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string",
"minLength": 1,
"description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
},
"profileUrl": {
"type": "string"
},
"accountId": {
"type": "string"
}
},
"required": [
"profileUrl",
"accountId"
]
}